/**
 * Created by IntelliJ IDEA.
 * User: m09fpv
 * Date: 07.10.2009
 * Time: 18:01:40
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;
public class array {
public static void main(String[]  args) throws Exception {
Scanner in=new  Scanner(new File("array.in"));
PrintWriter out=new PrintWriter(new File("array.out"));
 int i,j,tmp;
 int[] a=new int[1000];
  int n=in.nextInt();
    for (i=0;i<n;i++){
        a[i]=in.nextInt();
        }
     if(n==1){out.print(a[0]);}
     else{
       for (i=0;i<n/2;i++){
         out.print(a[i]);
         out.print(" ");
         out.print(a[n-i-1]);
         out.print(" ");
       }
      if(n%2==1){out.print(a[n/2]);}
     }
   in.close();
   out.close();
}
}
